Description

Description of problem:

Checked snippet and chosen OS family at the same time.

There is more ways how to get to this state.

In create partition table choose the OS family and than click on snippet and OS family will hide and than submit. In Partition table

menu is just created partition table with both the snippet and with OS family at the same time and that's wrong.

The same problem can happen after editing/cloning of partition table with the same way. Already OS family was chosen and in

editing or cloning the snippet is checked. This leads to the same bug.

How reproducible:

Deterministic

Steps to Reproduce:

1. Hosts-> Partition Table-> Create Partition Table

2. Choose OS family and than check the box of snippet, fill other necessary inputs and submit it.

3. In partition table menu is displayed the checked snippet and written OS family at the same time.

Actual results:

Both snippet and OS family are in Partition Table

Expected results:

Just one of them should be there, OS family or snippet.

Associated revisions

Revision 5655a7ac - 07/06/2018 03:13 PM - Ondřej Pražák

Fixes #23705 - Do not associate ptable snippets

History

#1 - 05/25/2018 09:51 AM - Ondřej Pražák

- Subject changed from In partition tables, problem with snippet check-box together with operating system

 to In partition tables, problem with snippet check-box together with operating system

- Category changed from TFTP to Templates

#2 - 06/22/2018 10:18 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák

- Pull request https://github.com/theforeman/foreman/pull/5731 added

#3 - 07/06/2018 04:01 PM - Ondřej Pražák

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5655a7ac576b31a0f24ae81e7ebf04b387a40edf.

#4 - 07/09/2018 11:52 AM - Marek Hulán

- translation missing: en.field_release set to 353

- Triaged set to No
